# Fichier : Pmax.gp
# Version : 2
# Date : 06/11/23
# Courbe de la puissance maximale journalière
# Usage : gnuplot -e "file='2021'" Pmax.gp

set datafile separator "T:+;"
set xdata time
set timefmt "%Y-%m-%d"
set decimalsign locale
set style data lines
set format x "%d/%m"
set grid xtics
set grid ytics
set y2tics
set terminal pdfcairo size 29.7 cm, 21 cm
set output sprintf("%s_Pmax.pdf", file)

file_csv = sprintf("%s_Pmax.csv", file)

set title sprintf("%s - Puissance maximale journalière", file)
plot file_csv using 1:7 title "Watt" lc 7,\
     file_csv using 1:($2+$3/60) title "Heure" with points lt 7 lc 2 ps .5 axes x1y2