# Fichier : p.gp
# Version : 3
# Date : 28/08/23
# Courbes par jour, par mois et par demi-heure (reformate) pour une année
# Usage : gnuplot -e "file='2022'" p.gp

set datafile separator "/;"
set decimalsign locale
file_csv = sprintf("%s%s", file, "_mois.csv")
stats file_csv using 3 name "HP"
stats file_csv using 4 name "HCN"
stats file_csv using 5 name "HCJ"
stats file_csv using 6 name "HCT"
stats file_csv using 7 name "T"


set datafile separator ";"
set xdata time
set timefmt "%d/%m/%Y;%H;%M"
set style data lines
set format x "%d/%m/%Y %H:%M"
set xtics rotate out
set xtics 864000
set mxtics 10
set grid ytics
set terminal pdfcairo size 420 cm, 29.7 cm
#set locale ???
set title sprintf("%s", file)
set output sprintf("%s_reformate.pdf", file)

file_csv = sprintf("%s%s", file, "_reformate.csv")
plot file_csv using 1:4 title "Puissance moyenne (W)" lc 8,\
     file_csv using 1:5 title "Heures pleines (Wh)" lc 7,\
     file_csv using 1:6 title "Heures creuses nuit (Wh)" lc 2 dt (6,2),\
     file_csv using 1:7 title "Heures creuses jour (Wh)" lc 1 dt (6,2)

set timefmt "%d/%m/%Y"
set format x "%d/%m/%Y"
set xtics autofreq
unset mxtics
set terminal pdfcairo size 42 cm, 29.7 cm
set output sprintf("%s.pdf", file)

file_csv = sprintf("%s%s", file, "_jour.csv")
plot file_csv using 1:2 title sprintf("Heures pleines (%d kWh)", HP_sum) lc 7,\
     file_csv using 1:3 title sprintf("Heures creuses nuit (%d kWh)", HCN_sum) lc 2 dt (6,2),\
     file_csv using 1:4 title sprintf("Heures creuses jour (%d kWh)", HCJ_sum) lc 1 dt (6,2),\
     file_csv using 1:5 title sprintf("Heures creuses total (%d kWh)", HCT_sum) lc 4,\
     file_csv using 1:6 title sprintf("Total (%d kWh)", T_sum) lc 8

set timefmt "%m/%Y"
set format x "%m/%Y"
set xtics autofreq
unset mxtics

file_csv = sprintf("%s%s", file, "_mois.csv")
plot file_csv using 1:2 title sprintf("Heures pleines (%d kWh)", HP_sum) lc 7,\
     file_csv using 1:3 title sprintf("Heures creuses nuit (%d kWh)", HCN_sum) lc 2 dt (6,2),\
     file_csv using 1:4 title sprintf("Heures creuses jour (%d kWh)", HCJ_sum) lc 1 dt (6,2),\
     file_csv using 1:5 title sprintf("Heures creuses total (%d kWh)", HCT_sum) lc 4,\
     file_csv using 1:6 title sprintf("Total (%d kWh)", T_sum) lc 8